<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 6.12 (2018/02/25)
 * Compatibility : Guppy v5.0+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

session_start();
header("Cache-control: private");
define('CHEMIN', '../../../');
include CHEMIN.'admin/includes.inc';
require 'plugin.inc';

// --------------------------------------------------------------------

/**
 * Protection contre les curieux qui n'ont rien à faire ici
 */
include CHEMIN.'admin/editors/action.php';
if ($wri == "admin") {
    $mdp    = $userprefs[1] == '' ? md5('pass') : $userprefs[7];
    $fctwri = 'admin';
} else {
    if (FileDBExist(CHEMIN.'admin/'.REDACREP.$wri.INCEXT)) {
        include(CHEMIN.'admin/'.REDACREP.$wri.INCEXT);
        $mdp    = $drtuser[38];
        $fctwri = $drtuser[42];
    } else {
        $mdp = "bad";
    }
}
$ctrlmdp = abs(crc32($mdp));

if (empty($_COOKIE[ADMP_COOKIE])) {
    $admcookie  = $ctrlmdp.'-img-file-img-3-1-1-web-web';
    $adminprefs = explode('-', $admcookie);
    $admdata    = '';
    for ($i = 0; $i < count($adminprefs); $i++) {
        $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
        $admdata .= $strlen.$adminprefs[$i];
    }
    setcookie(ADMP_COOKIE, $admdata);
}

$admcookie = isset($_COOKIE[ADMP_COOKIE]) ? $_COOKIE[ADMP_COOKIE] : '';

if (empty($admcookie)) {
    die('Une erreur d\'identification est survenue. Veuillez contacter l\'administrateur du site.');
}
//FIN PROTECTION

// --------------------------------------------------------------------

/**
 * Déclaration et instanciation du controller
 */
require ADMR_CORE_PATH.'/controller.php';
require ADMR_CORE_PATH.'/model.php';

$params = explode('/', ADMR_CONTROLLER);
$controller = 'admin_manage_files_controller';
$method = (!empty($params[1]) && !preg_match('`[^a-z0-9_\-]`i', $params[1])) ? $params[1] : 'index';

require ADMR_CONTROLLERS_PATH.'/admin/'.strtolower($controller).'.php';

$controller = new $controller(); // Instanciation

// --------------------------------------------------------------------

/**
 * View
 */
$headinc = $controller -> set_header_addons(); // Ajout dans l'entête
$title_page = $controller -> set_title_page();  // Titre de la page
ob_start();
echo '<!doctype html>'
    .'<html>'
        .'<head>'
            .'<meta http-equiv="content-type" content="text/html; charset=UTF-8" />'
            .'<meta charset="UTF-8" />'
            .'<title>'.$title_page.'</title>'
  //          .'<link type="text/css" rel="stylesheet" href="'.(file_exists($meskin.'style.css') ? $meskin : 'no_skin/').'style.css">'
            .'<script type="text/javascript">var site3 = "'.ADMR_SITE_URL.'";</script>'
            .'<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" 
              integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous">
              </script>'
            .$headinc
        .'</head>'
        .'<body class="filemanager popup">';        
        if (method_exists($controller, $method)) {
            unset($params[0], $params[1]);
            call_user_func_array(array($controller, $method), $params);
        } else {
            $controller -> index();
        }
echo    '</body>'
    .'</html>';
@ob_end_flush();

// --------------------------------------------------------------------   